> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/runs/{run_id}/insights-settings
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/runs/{run_id}/insights-settings:
    get:
      tags:
        - run_insights_settings
      summary: Get Settings
      operationId: >-
        get_settings_v2_projects__project_id__runs__run_id__insights_settings_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunInsightsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    RunInsightsResponse:
      properties:
        insights:
          $ref: '#/components/schemas/RunInsightsSettingsSchema'
          description: The insights configuration for the run.
        run_id:
          type: string
          format: uuid4
          title: Run Id
          description: The ID of the run this settings belong to.
      type: object
      required:
        - run_id
      title: RunInsightsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RunInsightsSettingsSchema:
      properties:
        logstream:
          $ref: '#/components/schemas/LogstreamInsightConfig'
          description: Logstream insights configuration.
      type: object
      title: RunInsightsSettingsSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LogstreamInsightConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          description: Whether logstream insights are enabled for this run.
          default: false
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Time
          description: Start time for generating logstream insights.
      type: object
      title: LogstreamInsightConfig
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````